<?xml version="1.0"?>
<project name="Hop" default="jar">
  <path id="javac.classpath">
    <fileset dir="lib">
      <include name="**/*.jar"/>
    </fileset>
  </path>

  <target name="build">
    <mkdir dir="build/classes"/>
    <javac destdir="build/classes" classpathref="javac.classpath" debug="true">
      <src path="src"/>
    </javac>
  </target>

  <target name="jar" depends="build">
    <mkdir dir="build/lib"/>
    <jar destfile="build/lib/hop.jar" basedir="build/classes" />
  </target>

  <target name="clean">
    <delete dir="build"/>
  </target>
</project>
